package pps.core.base.service.data.base_photovoltaic_plant;

import xstartup.annotation.XText;
import java.util.Date;
import java.math.BigDecimal;

public class DeleteBasePhotovoltaicPlantOutput {
    @XText("ID")
    private String id;

    @XText("是否删除(0_是;1_否)")
    private Integer isDeleted;

    @XText("创建人ID")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人ID")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("组织机构ID")
    private String ouId;

    @XText("电站名称")
    private String stationName;

    @XText("出厂编号")
    private String makerNumber;

    @XText("光伏设备规格型号key(字典获取)")
    private String photovoltaicModelKey;

    @XText("安装倾角")
    private BigDecimal mountingAngle;

    @XText("装机总量(KWP)")
    private BigDecimal totalPower;

    @XText("阵列朝向")
    private BigDecimal arrayOrientation;

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public Integer getIsDeleted() {
        return this.isDeleted;
    }

    public void setIsDeleted(Integer value) {
        this.isDeleted = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public String getOuId() {
        return this.ouId;
    }

    public void setOuId(String value) {
        this.ouId = value;
    }

    public String getStationName() {
        return this.stationName;
    }

    public void setStationName(String value) {
        this.stationName = value;
    }

    public String getMakerNumber() {
        return this.makerNumber;
    }

    public void setMakerNumber(String value) {
        this.makerNumber = value;
    }

    public String getPhotovoltaicModelKey() {
        return this.photovoltaicModelKey;
    }

    public void setPhotovoltaicModelKey(String value) {
        this.photovoltaicModelKey = value;
    }

    public BigDecimal getMountingAngle() {
        return this.mountingAngle;
    }

    public void setMountingAngle(BigDecimal value) {
        this.mountingAngle = value;
    }

    public BigDecimal getTotalPower() {
        return this.totalPower;
    }

    public void setTotalPower(BigDecimal value) {
        this.totalPower = value;
    }

    public BigDecimal getArrayOrientation() {
        return this.arrayOrientation;
    }

    public void setArrayOrientation(BigDecimal value) {
        this.arrayOrientation = value;
    }

}
